Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1964)

Unified Diff: scripts/image_signing/cros_resign_image_standalone.sh

Issue 2967011: Make re-signing script abort on error. (Closed) Base URL: ssh://git@gitrw.chromium.org:9222/vboot_reference.git
Patch Set: Created 10 years, 5 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: scripts/image_signing/cros_resign_image_standalone.sh
diff --git a/scripts/image_signing/cros_resign_image_standalone.sh b/scripts/image_signing/cros_resign_image_standalone.sh
index 523d5120950078178038e819de58b815f35f796a..81e6cdad681f94bd6c867d67e0621749d4c68aab 100755
--- a/scripts/image_signing/cros_resign_image_standalone.sh
+++ b/scripts/image_signing/cros_resign_image_standalone.sh
@@ -9,6 +9,9 @@
# Both the cgpt tool and vbutil_kernel should be in the system path.
+# Abort on error
+set -e
+
# Check arguments
if [ $# -ne 4 ] ; then
echo "usage: $0 src_bin dst_bin kernel_datakey kernel_keyblock"
@@ -54,6 +57,3 @@ dd if="${temp_out_vb}" of="${dst_bin}" seek=$koffset bs=$sector_size \
echo "New signed image was output to ${dst_bin}"
-# Clean up temporary files
-rm -f ${temp_kimage}
-rm -f ${temp_out_vb}
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698